Supported Devices

The Mobile Locate app will work on the devices listed below. This list is updated often, so if you do not see your device, check back soon.

Operating System Type

ANDROID (OS version 2.2 and greater)

Blackberry (OS version 5.0 and greater)

iPhone*** (OS version 6.0 and greater)

Palm*

Windows Mobile*

Brew Mobile

j2me Mobile***

Symbian Mobile

Sansung Mobile


FEATURE PHONES (NON-SMARTPHONES)***

* The ERASE feature is not currently supported on the device.

** The LOCK feature is not currently supported on the device.

*** The LOCK & ERASE features are not currently supported on the device.